# Method: projects.locations.bareMetalClusters.bareMetalNodePools.list

- [HTTP request](https://docs.cloud.google.com/kubernetes-engine/distributed-cloud/reference/on-prem-api/rest/v1/projects.locations.bareMetalClusters.bareMetalNodePools/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kubernetes-engine/distributed-cloud/reference/on-prem-api/rest/v1/projects.locations.bareMetalClusters.bareMetalNodePools/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/kubernetes-engine/distributed-cloud/reference/on-prem-api/rest/v1/projects.locations.bareMetalClusters.bareMetalNodePools/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kubernetes-engine/distributed-cloud/reference/on-prem-api/rest/v1/projects.locations.bareMetalClusters.bareMetalNodePools/list#body.request_body)
- [Response body](https://docs.cloud.google.com/kubernetes-engine/distributed-cloud/reference/on-prem-api/rest/v1/projects.locations.bareMetalClusters.bareMetalNodePools/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/kubernetes-engine/distributed-cloud/reference/on-prem-api/rest/v1/projects.locations.bareMetalClusters.bareMetalNodePools/list#body.ListBareMetalNodePoolsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/kubernetes-engine/distributed-cloud/reference/on-prem-api/rest/v1/projects.locations.bareMetalClusters.bareMetalNodePools/list#body.aspect)
- [NodePoolView](https://docs.cloud.google.com/kubernetes-engine/distributed-cloud/reference/on-prem-api/rest/v1/projects.locations.bareMetalClusters.bareMetalNodePools/list#NodePoolView)

Lists bare metal node pools in a given project, location and bare metal cluster.

### HTTP request

`GET https://gkeonprem.googleapis.com/v1/{parent=projects/*/locations/*/bareMetalClusters/*}/bareMetalNodePools`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of node pools. Format: projects/{project}/locations/{location}/bareMetalClusters/{bareMetalCluster} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of node pools to return. The service may return fewer than this value. If unspecified, at most 50 node pools will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` A page token, received from a previous `bareMetalNodePools.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `bareMetalNodePools.list` must match the call that provided the page token. |
| `view` | ``enum (`https://docs.cloud.google.com/kubernetes-engine/distributed-cloud/reference/on-prem-api/rest/v1/projects.locations.bareMetalClusters.bareMetalNodePools/list#NodePoolView`)`` View for bare metal node pools. When `BASIC` is specified, only the node pool resource name is returned. The default/unset value `NODE_POOL_VIEW_UNSPECIFIED` is the same as \`FULL', which returns the complete node pool configuration details. |

### Request body

The request body must be empty.

### Response body

Response message for listing bare metal node pools.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "bareMetalNodePools": [ { object (`https://docs.cloud.google.com/kubernetes-engine/distributed-cloud/reference/on-prem-api/rest/v1/projects.locations.bareMetalClusters.bareMetalNodePools#BareMetalNodePool`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `bareMetalNodePools[]` | ``object (`https://docs.cloud.google.com/kubernetes-engine/distributed-cloud/reference/on-prem-api/rest/v1/projects.locations.bareMetalClusters.bareMetalNodePools#BareMetalNodePool`)`` The node pools from the specified parent resource. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## NodePoolView

A view for bare metal node pool resource.

| Enums ||
|---|---|
| `NODE_POOL_VIEW_UNSPECIFIED` | If the value is not set, the default `FULL` view is used. |
| `BASIC` | Includes basic information of a node pool resource including node pool resource name. |
| `FULL` | Includes the complete configuration for bare metal node pool resource. This is the default value for ListBareMetalNodePoolsRequest method. |